#ifndef __USE_VideoView1_H__
#define __USE_VideoView1_H__

#include "videoviewhost.h"

class CVideoView1
	: public CVideoViewHost
{
public:
	Q_OBJECT
public:
	CVideoView1(QWidget* parent);
	~CVideoView1();
public:
	AVDHandle getRender() { return m_videoRenderer; }
	bool setScalingType(AVDScalingType type);
protected:
	void onCreateWnd(HWND hwnd);
	void resizeEvent(QResizeEvent* event);
protected:
	AVDHandle m_videoRenderer;
};

#endif //__USE_VideoView1_H__
